Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.addressbook
Class Log

    java.lang.Object
      net.i2p.addressbook.Log

    public class Log

extends Object

A simple log with automatic time stamping.

Author:
  Ragnarok

Constructor Summary
`Log(File file)` Construct a Log instance that writes to the File file.

Method Summary
`void` | `append(String entry)` Write entry to a new line in the log, with appropriate time stamp.
`File` | `getFile()` Return the File that the Log is writing to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log

    public Log(File file)

  Construct a Log instance that writes to the File file.

  Parameters:
    `file` - A File for the log to write to.

Method Detail

### append

    public void append(String entry)

  Write entry to a new line in the log, with appropriate time stamp.

  Parameters:
    `entry` - A String containing a message to append to the log.

### getFile

    public File getFile()

  Return the File that the Log is writing to.

  Returns:
    The File that the log is writing to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD